<?php
/**
* Tab to display recently posted classified ads in the Marketplace component in a Community Builder profile
* Author: Michael Spredemann (scubaguy) mkemichael@yahoo.com
*/
class getAdsTab extends cbTabHandler {
	function getAdsSessionsTab() {
		$this->cbTabHandler();
		}
			
  function getDisplayTab($tab,$user,$ui) {
	global $database,$mosConfig_live_site, $mosConfig_absolute_path, $mosConfig_lang;
	// Language:
	if (file_exists($mosConfig_absolute_path .'/components/com_adsmanager/lang/lang_' . $mosConfig_lang . '.php'))
	    include_once( $mosConfig_absolute_path .'/components/com_adsmanager/lang/lang_' . $mosConfig_lang . '.php' );
	else
		include_once( $mosConfig_absolute_path .'/components/com_adsmanager/lang/lang_english.php' );

	$params = $this->params;
	$return="";

	$adsLimit = $params->get('adsLimit','4');
	$itemid = $params->get('itemid','');

    $database->setQuery("SELECT a.id, a.ad_headline, a.category, a.date_created,p.name as parent,c.name as cat ".
					"FROM #__adsmanager_ads as a ".
					"LEFT JOIN #__adsmanager_categories as c ON a.category = c.id ".
					"LEFT JOIN #__adsmanager_categories as p ON c.parent = p.id ".
					"WHERE c.published = 1 and a.published = 1 AND a.userid =".$user->id." ORDER BY id DESC LIMIT 0, $adsLimit");
			
	$ads = $database->loadObjectList();
	
	// get configuration
	$database->setQuery( "SELECT * FROM #__adsmanager_config");
	$confs = $database->loadObjectList();
	if ($database -> getErrorNum()) {
		echo $database -> stderr();
		return false;
	}
	
	$nb_images = $confs[0]->nb_images;
	
	$return .= "<div class='adsmanager_box_module'>";
	$return .= "<table class='adsmanager_inner_box' width=\"100%\">";
	$return .= "<tr align=\"center\">";

	foreach($ads as $row) {

		$return .= "<td>";
		$linkTarget = sefRelToAbs("index.php?option=com_adsmanager&page=show_ad&adid=".$row->id."&Itemid=".$itemid);			
		$ok = 0;$i=1;
		while(!$ok)
		{
			if ($i < $nb_images + 1)
			{
				$ext_name = chr(ord('a')+$i-1);
				$pic = $mosConfig_absolute_path."/images/com_adsmanager/ads/".$row->id.$ext_name."_t.jpg";
				if (file_exists( $pic)) 
				{
					$return .= "<div align='center'><a href=".$linkTarget."><img src='".$mosConfig_live_site."/images/com_adsmanager/ads/".$row->id.$ext_name."_t.jpg' border='0'></a>";
					$ok = 1;
				}
			}
			else
			{
				$return .= "<div align='center'><a href=".$linkTarget."><img src='".$mosConfig_live_site."/components/com_adsmanager/images/nopic.gif' border='0'></a>"; 
				$ok = 1;
			}   
			$i++;   	
		}
			
		$return .= "<br/><a href=$linkTarget>".htmlspecialchars (stripslashes($row->ad_headline))."</a>"; 
		$return .= "<br/><span class=\"adsmanager_cat\">(".$row->parent." / ".$row->cat.")</span>";
		$day = substr($row->date_created, 8);
	    $month = substr($row->date_created, 5, -3);
	    $year = substr($row->date_created, 0, 4);
		   
	    if ($mosConfig_lang == "french")
			$outputDate = $day.".".$month.".".$year;
		else
			$outputDate = $month.".".$day.".".$year;
			
	   
		$return .= "<br/>".$outputDate;
		$return .= "</div>";
		$return .= "</td>";
	}
	$return .="</tr>";
	$return .="</table>";
	$return .="</div>";	
      
	return $return;
	}
}	
?>